package com.example.mytest;

import android.provider.ContactsContract;
import android.widget.Button;

import org.json.JSONArray;
import org.json.JSONObject;

import java.io.BufferedReader;
import java.io.DataInputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;

public class Fetch extends Thread {

    // адрес запроса
    private String url;
    // параметры, передаваемые с запросом
    private String param;
    // ссылка на MainActivity
    private Share context;

    public Fetch(String url, String param, Share context) {
        this.url = url;
        this.param = param;
        this.context = context;
    }

    @Override
    public void run() {

        try {
            URL _url = new URL(url);

            HttpURLConnection connection = (HttpURLConnection) _url.openConnection();

            connection.setRequestMethod("POST");
            connection.setRequestProperty("Content-Type", "application/json");
            connection.setDoOutput(true);
            connection.setDoInput(true);

            OutputStream outputStream = connection.getOutputStream();

            outputStream.write(param.getBytes());
            outputStream.flush();

            connection.connect();

            if (connection.getResponseCode() == 200) {

                InputStreamReader inputStreamReader = new InputStreamReader(connection.getInputStream());
                BufferedReader bufferedReader = new BufferedReader(inputStreamReader);
                String response = bufferedReader.readLine();

                JSONObject json = new JSONObject(response);

                if (json.has("Error")) {
                    if (!json.getString("Error").equals("null")) {
                        System.out.println(json.getString("Error"));
                        return;
                    }

                    if (json.has("News")) {
                        if (!json.getString("News").equals("null")) {
                            JSONArray news = json.getJSONArray("News");

                            context.ParseNews(news);
                        }
                    }
                }

            }

        } catch (Exception e) {
            e.printStackTrace();
        }

    }
}
