package com.example.mytest;

import android.app.Activity;
import android.graphics.Color;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;

import org.json.JSONArray;
import org.json.JSONObject;
import org.w3c.dom.Text;

public class MainActivity extends Activity implements Share {

    private Share context;

    @Override
    public void ParseNews(final JSONArray array) {

        runOnUiThread(new Runnable() {
            @Override
            public void run() {
                LinearLayout news = findViewById(R.id.newsContainer);

                try {
                    for (int i = 0; i < array.length(); i++) {

                        JSONObject o = array.getJSONObject(i);

                        LinearLayout.LayoutParams newsItemLayout = new LinearLayout.LayoutParams(
                                LinearLayout.LayoutParams.MATCH_PARENT,
                                LinearLayout.LayoutParams.WRAP_CONTENT
                        );
                        newsItemLayout.bottomMargin = 20;

                        LinearLayout newsItem = new LinearLayout(getApplicationContext());
                        newsItem.setOrientation(LinearLayout.VERTICAL);
                        newsItem.setBackgroundColor(Color.WHITE);
                        newsItem.setPadding(20, 20, 20, 20);
                        newsItem.setLayoutParams(newsItemLayout);

                        TextView caption = new TextView(getApplicationContext());

                        if (o.has("Caption")) {
                            caption.setText(o.getString("Caption"));
                            caption.setTextSize(20);
                            caption.setPadding(0, 0, 0, 40);
                            newsItem.addView(caption);
                        }

                        TextView preview = new TextView(getApplicationContext());

                        if (o.has("Preview")) {
                            preview.setText(o.getString("Preview"));
                            preview.setLines(6);
                            newsItem.addView(preview);
                        }

                        news.addView(newsItem);
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        });

    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        context = this;

        Button button = findViewById(R.id.button);

        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Fetch fetch = new Fetch("https://ktk-45.ru/news", "{\"Page\": 0,\"Limit\": 10}", context);
                fetch.start();
            }
        });

    }
}